Last updated: September 23, 2026

Save LDAP Provisioning Config

Save LDAP Provisioning Config.

Request

POSThttps://superadminuser.miniorange.in/services/api/idps/v1/ldap/provisioning/:uuid

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
uuidStringRequiredPath parameter
isImportUserEnabledStringOptional
isImportGroupEnabledStringOptional
isAssignUsersToGroupEnabledStringOptional
isCreateUserEnabledStringOptional
isEditUserEnabledStringOptional
isDeleteUserEnabledStringOptional
isPasswordSyncEnabledStringOptional
isCreateGroupEnabledStringOptional
isDeleteGroupEnabledStringOptional
isNestedImportGroupEnabledStringOptional
provisioningAttrsMappingsStringOptional

Request body

{
    "isImportUserEnabled": true,
    "isImportGroupEnabled": true,
    "isAssignUsersToGroupEnabled": true,
    "isCreateUserEnabled": false,
    "isEditUserEnabled": false,
    "isDeleteUserEnabled": false,
    "isPasswordSyncEnabled": false,
    "isCreateGroupEnabled": false,
    "isDeleteGroupEnabled": false,
    "isNestedImportGroupEnabled": false,
    "provisioningAttrsMappings": [
        {
            "attributeType": "STANDARD_ATTRIBUTE",
            "attributeName": "mail",
            "attributeValue": "primaryEmail"
        },
        {
            "attributeType": "STANDARD_ATTRIBUTE",
            "attributeName": "givenName",
            "attributeValue": "fname"
        },
        {
            "attributeType": "STANDARD_ATTRIBUTE",
            "attributeName": "sn",
            "attributeValue": "lname"
        },
        {
            "attributeType": "STANDARD_ATTRIBUTE",
            "attributeName": "samaccountname",
            "attributeValue": "username"
        }
    ]
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied